SYMORDER(1)

NAME
symorder - rearrange name list

SYNOPSIS
symorder -t symlist file

DESCRIPTION
The file symlist contains a list of symbols to be found in file, one symbol per line.

The symbol table of file is updated in place; symbols read from symlist are relocated to the beginning of the table and in the order given.

-t  Restrict the symbol table to the symbols listed in symlist.

This program was specifically designed to cut down on the overhead of getting symbols from /vmunix.

DIAGNOSTICS
The symorder utility exits 0 on success, 1 if a symbol listed in the symlist file was not found in the symbol table, and >1 if an error occurs.

SEE ALSO
nm(3), nlist(3), strip(3)

HISTORY
The symorder command appeared in 3.0BSD.